package com.ruoyi.bst.booth.service;

import com.ruoyi.bst.booth.domain.Booth;

import java.util.List;

public interface BoothValidator {

    /**
     * 当前用户是否可以编辑卡座
     * @param boothId 卡座ID
     * @return 是否可以编辑
     */
    boolean canEdit(Long boothId);

    /**
     * 当前用户是否可以删除
     * @param ids 卡座ID几何
     * @return 是否可以删除
     */
    boolean canDeleteAll(List<Long> ids);

    /**
     * 校验
     * @param boothId
     */
    void validate(Long boothId,String boothNo);
}
